package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class LogisticDetailBean {

        /**
         * records : [{"createdBy":null,"createdByName":null,"createdTime":"2020-01-14 15:20:57","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":64,"receiveDeptId":null,"logisticsId":null,"launchDeptId":null,"customerId":null,"sendOutStoreApplyId":null,"processCode":"SO","status":"1","launchDeptName":"销售一公司","receiveDeptName":"锆碳公司","customerName":"安阳钢铁","logisticsName":"圆通物流1","createdUser":"冷益飞","trackingNumber":"1","weight":35,"fareMoney":1000,"idList":null}]
         * total : 1
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : null
             * createdByName : null
             * createdTime : 2020-01-14 15:20:57
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 64
             * receiveDeptId : null
             * logisticsId : null
             * launchDeptId : null
             * customerId : null
             * sendOutStoreApplyId : null
             * processCode : SO
             * status : 1
             * launchDeptName : 销售一公司
             * receiveDeptName : 锆碳公司
             * customerName : 安阳钢铁
             * logisticsName : 圆通物流1
             * createdUser : 冷益飞
             * trackingNumber : 1
             * weight : 35.0
             * fareMoney : 1000.0
             * idList : null
             */

            private Object createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private Object receiveDeptId;
            private Object logisticsId;
            private Object launchDeptId;
            private Object customerId;
            private Object sendOutStoreApplyId;
            private String processCode;
            private String status;
            private String launchDeptName;
            private String receiveDeptName;
            private String customerName;
            private String logisticsName;
            private String createdUser;
            private String trackingNumber;
            private double weight;
            private double fareMoney;
            private Object idList;

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public Object getReceiveDeptId() {
                return receiveDeptId;
            }

            public void setReceiveDeptId(Object receiveDeptId) {
                this.receiveDeptId = receiveDeptId;
            }

            public Object getLogisticsId() {
                return logisticsId;
            }

            public void setLogisticsId(Object logisticsId) {
                this.logisticsId = logisticsId;
            }

            public Object getLaunchDeptId() {
                return launchDeptId;
            }

            public void setLaunchDeptId(Object launchDeptId) {
                this.launchDeptId = launchDeptId;
            }

            public Object getCustomerId() {
                return customerId;
            }

            public void setCustomerId(Object customerId) {
                this.customerId = customerId;
            }

            public Object getSendOutStoreApplyId() {
                return sendOutStoreApplyId;
            }

            public void setSendOutStoreApplyId(Object sendOutStoreApplyId) {
                this.sendOutStoreApplyId = sendOutStoreApplyId;
            }

            public String getProcessCode() {
                return processCode;
            }

            public void setProcessCode(String processCode) {
                this.processCode = processCode;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getLaunchDeptName() {
                return launchDeptName;
            }

            public void setLaunchDeptName(String launchDeptName) {
                this.launchDeptName = launchDeptName;
            }

            public String getReceiveDeptName() {
                return receiveDeptName;
            }

            public void setReceiveDeptName(String receiveDeptName) {
                this.receiveDeptName = receiveDeptName;
            }

            public String getCustomerName() {
                return customerName;
            }

            public void setCustomerName(String customerName) {
                this.customerName = customerName;
            }

            public String getLogisticsName() {
                return logisticsName;
            }

            public void setLogisticsName(String logisticsName) {
                this.logisticsName = logisticsName;
            }

            public String getCreatedUser() {
                return createdUser;
            }

            public void setCreatedUser(String createdUser) {
                this.createdUser = createdUser;
            }

            public String getTrackingNumber() {
                return trackingNumber;
            }

            public void setTrackingNumber(String trackingNumber) {
                this.trackingNumber = trackingNumber;
            }

            public double getWeight() {
                return weight;
            }

            public void setWeight(double weight) {
                this.weight = weight;
            }

            public double getFareMoney() {
                return fareMoney;
            }

            public void setFareMoney(double fareMoney) {
                this.fareMoney = fareMoney;
            }

            public Object getIdList() {
                return idList;
            }

            public void setIdList(Object idList) {
                this.idList = idList;
            }
        }
}
